tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg_install 20100204 ok? - make replace in kermit fails

I updated to past the post-DESTDIR-default as PKG_DEVELOPER and kicked
off a pkg_rr.  It failed on the first packet, comms/kermit.

The package built ok and then:

===> Building binary package for kermit-8.0.211nb4
=> Creating binary package 
===> Replacing for kermit-8.0.211nb4
WARNING: experimental target - DATA LOSS MAY OCCUR.
===> Updating using binary package of kermit-8.0.211nb4
/usr/pkg/sbin/pkg_add -K /var/db/pkg -U 
pkg_add: Conflicting PLIST with kermit-8.0.211nb2: bin/kermit
pkg_add: 1 package addition failed
*** Error code 1

make: stopped in /n0/gdt/NetBSD-current/pkgsrc/comms/kermit
*** Error code 1

make: stopped in /n0/gdt/NetBSD-current/pkgsrc/comms/kermit
*** Error code 1

make: stopped in /n0/gdt/NetBSD-current/pkgsrc/comms/kermit
*** 'make replace' failed for package kermit.
*** Please read the errors listed above, fix the problem,
*** then re-run pkg_rolling-replace to continue.
- kermit

Running pkg_add by hand with that command fails as well with the same
error.  I already have kermit installed, and of course bin/kermit is
there.  But 'pkg_add -u' (which pkg_add -U seems to be now) used to
handle this case, or at least I thought so.

root 81 /usr/pkgsrc #> pkg_add -V

Attachment: pgp86ENJO9kbH.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index